Bug 3412 - usb chip autodetection doesn't work on i815 chipset
: usb chip autodetection doesn't work on i815 chipset
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hotplug)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-27 03:59 by
Modified: 2007-04-06 16:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-27 03:59:53
"service usb start" doesn't work properly on my PC. As the result I found the
string "alias usb-interface A" in my /etc/modules.conf
Here is the result of lspcidrake:
# lspcidrake
agpgart         : Intel Corporation|82815 815 Chipset Host Bridge and Memory
Controller Hub
Card:Intel 815  : Intel Corporation|82815 CGC [Chipset Graphics Controller]
i810_rng        : Intel Corporation|82820 815e (Camino 2) Chipset PCI
i810-tco        : Intel Corporation|82820 815e (Camino 2) Chipset ISA Bridge (ICH2)
unknown         : Intel Corporation|82820 815e (Camino 2) Chipset IDE U100
usb-uhci        : Intel Corporation|82820 815e (Camino 2) Chipset USB (Hub A)
unknown         : Intel Corporation|82820 815e (Camino 2) Chipset SMBus
usb-uhci        : Intel Corporation|82820 815e (Camino 2) Chipset USB (Hub B)
i810_audio      : Intel Corporation|ICH2 810 Chipset AC'97 Audio Controller
eepro100        : Intel Corporation|EtherExpress PRO/100
unknown         : Virtual|Hub []
unknown         : unknown (0424/0140/ffff/ffff) []
unknown         : Texas Instruments|TUSB2046 Hub []
unknown         : Virtual|Hub []


Steps to Reproduce:
1. remove usb-interface from /etc/modules.conf
2. service usb start

Actual Results:  
Detecting USB interface:                                                [ DONE
]modprobe: Can't locate module usb-interface
Disabling USB interface (A):                                            [ DONE ]

Expected Results:  
Loading USB interface (usb-uhci):                                       [ DONE ]
Mounting USB filesystem:                                                [ DONE ]
------- Comment #1 From 2004-08-09 16:29:55 -------
There are no "service usb" any longer.
------- Comment #2 From 2004-08-09 17:50:34 -------
fixed into last hotplug